##### script for slidedeck c3
##### 


### Preamble

# Create two colors
ito1 = "#E1EBEE"  ## background
ito2 = "#00AAE4"  ## selected





#####
###  Poisson pmf

xx = seq(0,10)
yy = dpois(xx,lambda=2)


par(bg="transparent")
par(xpd=NA)
par(xaxs="i", yaxs="i")
par(family="serif",las=1)
par(mar=c(3.5,4,0,0)+0.5)
par(font.lab=2, cex.lab=1.1)


plot.new()
plot.window( xlim=c(-0.5,8.75), ylim=c(0,0.3))

yyVals = 0:3/10
segments(-0.5,yyVals,9,yyVals, lty=3, col="grey")
segments(-0.5,0,15,0)

axis(1, at=0:11)
axis(2, at= yyVals)

title(xlab="Random Variable", line=2.50)
title(ylab="Probability", line=3.25)


segments(xx,0,xx,yy)
points(xx,yy, pch=21, bg=ito2)

mtext(side=1, at=8.50, text=". . .", line=0.75)




### The Four Examples

# Ex 1a
dpois(0, lambda=12)

# Ex 1b
ppois(20, lambda=12)

# Ex 1c
1 - dpois(0, lambda=12/10)

# Ex 2
dpois(0, lambda=5.90867)

# Ex 3
ppois(129, lambda=150)

# Ex 4a
1 - ppois(3, lambda=96/52)

# Ex 4b
1 - ppois(15, lambda=96/12)

# Ex 4c
1 - ppois(207, lambda=96)




