##### script for slidedeck c5
##### 
##### The Geometric Distribution
##### 



### Preamble
# Two colors
ito1 = "#E1EBEE"  ## background
ito2 = "#00AAE4"  ## selected




#####
###  Ex: The Ace of Spades

xx = seq(0,250)
yy = dgeom(xx, 1/52)


par(bg="transparent")
par(xpd=NA)
par(xaxs="i", yaxs="i")
par(family="serif",las=1)
par(mar=c(3.5,4,0,0)+0.5)
par(font.lab=2, cex.lab=1.1)


plot.new()
plot.window( xlim=c(0,110), ylim=c(0,0.025))

yyVals = seq(0,0.025,length=6)
segments(-0.5,yyVals,600,yyVals, lty=3, col="grey")
segments(-0.5,0,600,0)

axis(1, at=seq(0,120,20) )
axis(2, at= yyVals)

title(xlab="Number of Failed Draws", line=2.50)
title(ylab="Probability", line=3.25)

#segments(xx,0,xx,yy)
points(xx,yy, pch=21, bg=ito2)

mtext(side=1, at=107, text=". . .", line=0.75)



### Calculations
dgeom(0, 1/52)
dgeom(9, 1/52)
dgeom(99, 1/52)









#####
###  Ex: Those Sophomores

xx = seq(0,25)
yy = dgeom(xx, 365/1213)




par(bg="transparent")
par(xpd=NA)
par(xaxs="i", yaxs="i")
par(family="serif",las=1)
par(mar=c(3.5,4,0,0)+0.5)
par(font.lab=2, cex.lab=1.1)


plot.new()
plot.window( xlim=c(0,21), ylim=c(0,0.35))

yyVals = seq(0,0.35,length=8)
segments(-0.1,yyVals,20,yyVals, lty=3, col="grey")
segments(-0.1,0,20,0)

axis(1, at=seq(0,22,2) )
axis(2, at= yyVals)

title(xlab="Number of Failed Interviews", line=2.50)
title(ylab="Probability", line=3.25)

#segments(xx,0,xx,yy)
points(xx,yy, pch=21, bg=ito2)

mtext(side=1, at=20.75, text=". . .", line=0.75)



### Calculations
dgeom(0, 365/1213) 
dgeom(9, 365/1213) 
pgeom(9, 365/1213)








###  Graphic of CDF

xx = seq(0,25)
yy = pgeom(xx, 365/1213)


par(bg="transparent")
par(xpd=NA)
par(xaxs="i", yaxs="i")
par(family="serif",las=1)
par(mar=c(3.5,4,0,0)+0.5)
par(font.lab=2, cex.lab=1.1)


plot.new()
plot.window( xlim=c(0,21), ylim=c(0,1))

yyVals = seq(0,1,length=6)
segments(-0.1,yyVals,20,yyVals, lty=3, col="grey")
segments(-0.1,0,20,0)

axis(1, at=seq(0,22,2) )
axis(2, at= yyVals)

title(xlab="Number of Failed Interviews (CDF)", line=2.50)
title(ylab="Probability", line=3.25)

#segments(xx,0,xx,yy)
points(xx,yy, pch=21, bg=ito2)

mtext(side=1, at=20.75, text=". . .", line=0.75)













Ex: Experimenting


xx = seq(0,200)
yy = dgeom(xx, 0.05)



par(bg="transparent")
par(xpd=NA)
par(xaxs="i", yaxs="i")
par(family="serif",las=1)
par(mar=c(3.5,4,0,0)+0.5)
par(font.lab=2, cex.lab=1.1)


plot.new()
plot.window( xlim=c(0,105), ylim=c(0,0.05))

yyVals = seq(0,0.05,length=6)
segments(-0.1,yyVals,100,yyVals, lty=3, col="grey")
segments(-0.1,0,100,0)

axis(1, at=seq(0,109,10) )
axis(2, at= yyVals)

title(xlab="Number of Failed Drug Tests", line=2.50)
title(ylab="Probability", line=3.25)

#segments(xx,0,xx,yy)
points(xx,yy, pch=21, bg=ito2)

mtext(side=1, at=104, text=". . .", line=0.75)





### CDF Graphic

xx = seq(0,200)
yy = pgeom(xx, 0.05)




par(bg="transparent")
par(xpd=NA)
par(xaxs="i", yaxs="i")
par(family="serif",las=1)
par(mar=c(3.5,4,0,0)+0.5)
par(font.lab=2, cex.lab=1.1)


plot.new()
plot.window( xlim=c(0,200), ylim=c(0,1))

yyVals = seq(0,1,length=6)
segments(-0.1,yyVals,200,yyVals, lty=3, col="grey")
segments(-0.1,0,200,0)

axis(1, at=seq(0,201,20) )
axis(2, at= yyVals)

title(xlab="Number of Failed Drug Tests (CDF)", line=2.50)
title(ylab="Probability", line=3.25)

#segments(xx,0,xx,yy)
points(xx,yy, pch=21, bg=ito2)

mtext(side=1, at=201.75, text=". . .", line=0.75)






### Calculations

dgeom(0, 0.05)
dgeom(99, 0.05)
pgeom(20, 0.05)






##### End of File