##### script for slidedeck c8
##### 
##### Slide deck for Exponential distribution
##### 



### Preamble

# Colors
ito1 = "#FAFAFF"  ## background
ito2 = "#00AAE4"  ## selected





#####
###  pdf of Exponential

lambda = 0.5
xx = seq(0,25, length=1e4)
yy = dexp(xx, rate=lambda)


# Graphic
par(mar=c(4,3,1,1) )
par(family="serif", las=1)
par(cex.lab=1.2,font.lab=2)
par(yaxs="i", xaxs="i")

plot.new()
plot.window( xlim=c(0,10), ylim=c(0,lambda+0.1))

axis(1, at=0, label=0)
axis(2, at=c(0,lambda), label=c(0,expression(lambda)), line=0)


abline(v=0)
abline(h=0)

title(xlab="Random Variable", line=2.5)
title(ylab="Probability Density", line=1.75)

xs = c(xx,rev(xx))
ys = c(yy,rep(0,length(yy)))
polygon(xs,ys, col=ito1)
lines(xx,yy, lwd=2)












#####
###  Chunky the Squirrel

lambda = 0.1
xx = seq(0,100, length=1e4)
yy = dexp(xx, rate=lambda)

x2 = seq(0,30, length=1e4)
y2 = dexp(x2, rate=lambda)





par(mar=c(4,3,1,1) )
par(family="serif", las=1)
par(cex.lab=1.2,font.lab=2)
par(xaxs="i",yaxs="i")

plot.new()
plot.window( xlim=c(0,100), ylim=c(0,lambda+0.01))

axis(1, at=0:3*30);abline(h=0)
axis(2, at=c(0,lambda), label=c(0,expression(lambda)));abline(v=0)
title(xlab="Time until Chunky Chows [s]", line=2.5)
title(ylab="Probability Density", line=1.75)

xs = c(xx,rev(xx))
ys = c(yy,rep(0,length(yy)))
polygon(xs,ys, col=ito1)
lines(xx,yy)


xs = c(x2,rev(x2))
ys = c(y2,rep(0,length(y2)))
polygon(xs,ys, col=ito2)


# Calculation
pexp(30, rate=1/10)











#####
###  The Gold Express
lambda = 1/5
xx = seq(0,100, length=1e4)
yy = dexp(xx, rate=lambda)

x2 = seq(10,100, length=1e4)
y2 = dexp(x2, rate=lambda)



# Graphic

par(mar=c(4,3,1,1) )
par(family="serif", las=1)
par(cex.lab=1.2,font.lab=2)
par(xaxs="i",yaxs="i")

plot.new()
plot.window( xlim=c(0,40), ylim=c(0,lambda+0.01))

axis(1, at=0:10*10);abline(h=0)
axis(2, at=c(0,lambda), label=c(0,lambda));abline(v=0)
title(xlab="Time until Bus Arrives [m]", line=2.5)
title(ylab="Probability Density", line=1.75)

xs = c(xx,rev(xx))
ys = c(yy,rep(0,length(yy)))
polygon(xs,ys, col=ito1)
lines(xx,yy)


xs = c(x2,rev(x2))
ys = c(y2,rep(0,length(y2)))
polygon(xs,ys, col=ito2)


# Calculations
1-pexp(10, rate=0.20)

qexp(0.5, rate=0.20)

qexp(0.9, rate=0.20)








### End of File