##### Exaamples for ANOVA procedure
#####
##### Slidedeck e5

source("https://rfs.kvasaheim.com/stat200.R")



ito1 = "#E1EBEE"
ito2 = "#00AAE4"
ito3 = "#ffdddd"
ito4 = "#990000"

ito = c(ito1,ito2,ito3,ito4)





##### ##### ##### ##### 
### Framing Example 



### pdf graphic

df1=3; df2=196; f=5.533
xx = seq(0,50, length=1e4)
yy = df(xx, df1,df2)
x2 = seq(f,50, length=1e4)
y2 = df(x2, df1,df2)


par(bg="transparent")
par(yaxs="i", xpd=NA, yaxt="n")
par(family="serif",las=1)
par(mar=c(3.5,0.5,0,0.5))
par(font.lab=2,cex.lab=1.1)

plot.new()
plot.window( xlim=c(-0.01,6), ylim=c(0,0.75))

axis(1, at=0:7)
title(xlab="F", line=2.5)

axis(1,at=f, label="TS", cex.axis=0.7)

arrows( 5.5, 0.1, 5.7,0.01, length=0.1)
text(5.5,0.1, pos=3, label="p-value")

xs = c(xx,rev(xx))
ys = c(yy,rep(0,length(yy)))
polygon(xs,ys, col=ito1)


xs = c(x2,rev(x2))
ys = c(y2,rep(0,length(y2)))
polygon(xs,ys, col=ito2)

lines(xx,yy)






### Example 1
#   Rice


# data
yield = c(934,1041,1028,935, 880,963,924,946, 987,951,976,840, 992,1143,1140,1191)
variety = c("A","A","A","A", "B","B","B","B", "C","C","C","C", "D","D","D","D")


# boxplot

par(bg="transparent")
par(yaxs="i", xpd=NA, yaxt="n")
par(family="serif",las=1)
par(mar=c(3.5,4.5,0,2))
par(font.lab=2, cex.lab=1.1, cex.axis=0.9)
par(bty="n")

plot.new()
plot.window( xlim=c(800,1200), ylim=c(0.5,4.5) )

axis(1, at=seq(800,1200,100) )
title(xlab="Yield per Acre", line=2.5)

mtext(side=2, at=4:1, text=c("Variety A","Variety B","Variety C","Variety D"), 
	line=1, cex=1.5 )

boxplot(yield~variety, add=TRUE, horizontal=TRUE, col="white", ann=FALSE, at=4:1)

points(yield[variety=="A"], rep(4,4), bg="red", pch=21)
points(yield[variety=="B"], rep(3,4), bg="purple", pch=21)
points(yield[variety=="C"], rep(2,4), bg="orange", pch=21)
points(yield[variety=="D"], rep(1,4), bg="green4", pch=21)



# pdf graphic

df1=3; df2=12; f=7.212
xx = seq(0,50, length=1e4)
yy = df(xx, df1,df2)
x2 = seq(f,50, length=1e4)
y2 = df(x2, df1,df2)


par(bg="transparent")
par(yaxs="i", xpd=NA, yaxt="n")
par(family="serif",las=1)
par(mar=c(3.5,0.5,0,0.5))
par(font.lab=2,cex.lab=1.1)

plot.new()
plot.window( xlim=c(-0.01,11), ylim=c(0,0.75))

axis(1, at=0:11)
title(xlab="F", line=2.5)

axis(1,at=f, label="TS", cex.axis=0.7)

arrows( 7.5,0.1, 7.7,0.01, length=0.1)
text(7.5,0.1, pos=3, label="p-value")

xs = c(xx,rev(xx))
ys = c(yy,rep(0,length(yy)))
polygon(xs,ys, col=ito1)


xs = c(x2,rev(x2))
ys = c(y2,rep(0,length(y2)))
polygon(xs,ys, col=ito2)


lines(xx,yy)












### Example 2: 
#   Fisher 3.8

dt=read.csv("http://rfs.kvasaheim.com/data/fisher38.csv")
attach(dt)
ickymod = aov(colonies ~ sample)
summary(ickymod)



# boxplot

par(bg="transparent")
par(yaxs="i", xpd=NA, yaxt="n")
par(family="serif",las=1)
par(mar=c(3.5,0.5,0,2))
par(font.lab=2,cex.lab=1.1)
par(bty="n")

plot.new()
plot.window( xlim=c(40,90), ylim=c(0.5,4.5) )

axis(1, at=seq(40,90,10) )
title(xlab="Number of Colonies", line=2.5)

mtext(side=2, at=4:1, text=c("Sample I","Sample II","Sample III","Sample IV"),
 line=-1, adj=0, cex=1.5 )

boxplot(colonies~sample, add=TRUE, horizontal=TRUE, col="white", ann=FALSE, at=4:1)

points(colonies[sample=="I"],   jitter(rep(4,7)), bg="red", pch=21)
points(colonies[sample=="II"],  jitter(rep(3,7)), bg="purple", pch=21)
points(colonies[sample=="III"], jitter(rep(2,7)), bg="orange", pch=21)
points(colonies[sample=="IV"],  jitter(rep(1,7)), bg="green4", pch=21)




# pdf plot

df1=3; df2=24; f=0.525
xx = seq(0,50, length=1e4)
yy = df(xx, df1,df2)
x2 = seq(f,50, length=1e4)
y2 = df(x2, df1,df2)



par(xaxs="i", yaxs="i")
par(family="serif",las=1)
par(mar=c(3,1,0,1)+0.75)
par(font.lab=2,cex.lab=1.1)

plot.new()
plot.window( xlim=c(-0.01,11), ylim=c(0,0.75))

axis(1, at=0:11)
title(xlab="F", line=2.5)

axis(1,at=f, label="TS", cex.axis=0.7)

arrows( 3.5,0.3, 2.7,0.1, length=0.1)
text(3.5,0.3, pos=3, label="p-value")

xs = c(xx,rev(xx))
ys = c(yy,rep(0,length(yy)))
polygon(xs,ys, col=ito1)


xs = c(x2,rev(x2))
ys = c(y2,rep(0,length(y2)))
polygon(xs,ys, col=ito2)


lines(xx,yy)






detach(dt)




### End of File